Bug 1409361 - [abrt] dnf: output.py:1508:historyInfoCmd:AttributeError: 'list' object has no attribute 'add'
Summary: [abrt] dnf: output.py:1508:historyInfoCmd:AttributeError: 'list' object has n...
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: dnf   
(Show other bugs)
Version: rawhide
Hardware: x86_64
OS: Unspecified
medium
unspecified
Target Milestone: ---
Assignee: rpm-software-management
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:90d602ce9b2855426a72118dd51...
Keywords: EasyFix, Triaged
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-01 10:58 UTC by Vít Ondruch
Modified: 2017-02-10 15:49 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-02-10 15:49:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: _var_log_dnf.log (19.78 KB, text/plain)
2017-01-01 10:58 UTC, Vít Ondruch
no flags Details
File: backtrace (1.23 KB, text/plain)
2017-01-01 10:58 UTC, Vít Ondruch
no flags Details
File: dnf-makecache.log (3.23 MB, text/plain)
2017-01-01 10:59 UTC, Vít Ondruch
no flags Details
File: environ (386 bytes, text/plain)
2017-01-01 10:59 UTC, Vít Ondruch
no flags Details

Description Vít Ondruch 2017-01-01 10:58:38 UTC
Version-Release number of selected component:
dnf-2.0.0-2.fc26

Additional info:
reporter:       libreport-2.9.0
cmdline:        /usr/libexec/system-python /bin/dnf history info last..last-20
executable:     /bin/dnf
kernel:         4.9.0-1.fc26.x86_64
runlevel:       N 5
type:           Python3
uid:            0

Truncated backtrace:
output.py:1508:historyInfoCmd:AttributeError: 'list' object has no attribute 'add'

Traceback (most recent call last):
  File "/bin/dnf", line 58, in <module>
    main.user_main(sys.argv[1:], exit_code=True)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 175, in user_main
    errcode = main(args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 61, in main
    return _main(base, args)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 99, in _main
    return cli_run(cli, base)
  File "/usr/lib/python3.6/site-packages/dnf/cli/main.py", line 115, in cli_run
    cli.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/cli.py", line 936, in run
    return self.command.run()
  File "/usr/lib/python3.6/site-packages/dnf/cli/commands/__init__.py", line 926, in run
    ret = self.output.historyInfoCmd(extcmds, self.opts.tid)
  File "/usr/lib/python3.6/site-packages/dnf/cli/output.py", line 1508, in historyInfoCmd
    tids.add(old.tid)
AttributeError: 'list' object has no attribute 'add'

Local variables in innermost frame:
old: <dnf.yum.history.YumHistoryTransaction object at 0x7f9ba0f319b0>
mtids: set()
tids: []
pats: ['last..last-20']
extcmds: []
self: <dnf.cli.output.Output object at 0x7f9ba106f400>

Comment 1 Vít Ondruch 2017-01-01 10:58:44 UTC
Created attachment 1236365 [details]
File: _var_log_dnf.log

Comment 2 Vít Ondruch 2017-01-01 10:58:45 UTC
Created attachment 1236366 [details]
File: backtrace

Comment 3 Vít Ondruch 2017-01-01 10:59:01 UTC
Created attachment 1236367 [details]
File: dnf-makecache.log

Comment 4 Vít Ondruch 2017-01-01 10:59:03 UTC
Created attachment 1236368 [details]
File: environ

Comment 5 Michael Mráka 2017-01-11 14:34:07 UTC
Fixed in https://github.com/rpm-software-management/dnf/pull/704

Comment 6 Vít Ondruch 2017-01-11 15:00:39 UTC
I tried this command on purpose. I hoped it can change the order. But that is not the functionality of you PR.

Comment 7 Jaroslav Mracek 2017-02-10 15:49:18 UTC
Bugs fixed in version 2.0.1-1.


Note You need to log in before you can comment on or make changes to this bug.